package xyz.wbsite.module.admin.req;

import xyz.wbsite.frame.base.BaseFindRequest;
import java.util.Date;

/**
 * ConfigDataFindRequest - 配置数据查询
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2021-02-08
 */
public class ConfigDataFindRequest extends BaseFindRequest {

    /**
     * 目标主键.
     */
    private Long targetId;

    /**
     * 配置名称.
     */
    private String confName;

    /**
     * 配置名称模糊查询.
     */
    private String confNameLike;

    /**
     * 配置属值模糊查询.
     */
    private String confValueLike;

    /**
     * 配置备注模糊查询.
     */
    private String confNoteLike;

    /**
     * 开始日期.
     */
    private Date startDate;

    /**
     * 结束日期.
     */
    private Date endDate;

    public Long getTargetId() {
        return this.targetId;
    }

    public void setTargetId(Long targetId) {
        this.targetId = targetId;
    }

    public String getConfName() {
        return this.confName;
    }

    public void setConfName(String confName) {
        this.confName = confName;
    }

    public String getConfNameLike() {
        return this.confNameLike;
    }

    public void setConfNameLike(String confNameLike) {
        this.confNameLike = confNameLike;
    }

    public String getConfValueLike() {
        return this.confValueLike;
    }

    public void setConfValueLike(String confValueLike) {
        this.confValueLike = confValueLike;
    }

    public String getConfNoteLike() {
        return this.confNoteLike;
    }

    public void setConfNoteLike(String confNoteLike) {
        this.confNoteLike = confNoteLike;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
}
